the Fink project is an effort to port
popular Unix programs to Mac OS X
Package: applex11tools
Version: 1.1.3
Revision: 2
Distribution: 10.4
Depends: quartz-wm (>= %v-%r), open-x11 (>= %v-%r), x11-app (>= %v-%r)
Type: nosource
CompileScript: <<
#!/bin/sh -ev
cat <
You must have X11User.pkg from your Mac OS X installation DVD, as
well as the Apple X11 Update 2006 1.1.3 from apple.com:
http://www.apple.com/downloads/macosx/apple/x11update2006113.html
Make sure your Mac OS X installation DVD is mounted, as well as the
X11 update (you should see "Mac OS X Install DVD" and
"X11 Update 2006" mounted in your /Volumes directory.)
Then, press Return to continue.
This message will self-destruct in 120 seconds...
====================================================================
END
read -t 120 -n 1 FOO || :
<<
InstallScript: <<
#!/bin/sh -ev
install -d -m 755 "%d"
PKG_PATH=""
UPDATE_PATH=""
echo -e "- searching for the X11 installer: \c"
# first, check known paths
for PACKAGE in "/Volumes/Mac OS X Install DVD/System/Installation/Packages/X11User.pkg" \
"/Volumes/Mac OS X Install Disc 1/System/Installation/Packages/X11User.pkg" \
"/Volumes/Mac OS X Upgrade DVD/System/Installation/Packages/X11User.pkg"; do
if [ -d "$PACKAGE" ]; then
PKG_PATH="$PACKAGE"
fi
done
if [ -z "$PKG_PATH" ]; then
# try finding it somewhere else
find /Volumes -type d -name X11User.pkg | grep -v Receipts | while read PACKAGE; do
if [ -f "$PACKAGE/Contents/Archive.pax.gz" ]; then
PKG_PATH="$PACKAGE"
break
fi
done
fi
if [ -z "$PKG_PATH" ]; then
echo "unable to locate X11User.pkg, bailing"
exit 1
fi
echo "found $PKG_PATH"
echo -e "- searching for the X11 update: \c"
if [ -d "/Volumes/X11 Update 2006/X11Update2006.pkg" ]; then
UPDATE_PATH="/Volumes/X11 Update 2006/X11Update2006.pkg"
else
# try finding it somewhere else
find /Volumes -type d -name X11Update2006.pkg | grep -v Receipts | while read PACKAGE; do
if [ -f "$PACKAGE/Contents/Archive.pax.gz" ]; then
UPDATE_PATH="$PACKAGE"
break
fi
done
fi
if [ -z "$UPDATE_PATH" ]; then
echo "unable to locate X11Update2006.pkg, bailing"
exit 1
fi
pushd "%d"
for package in "$PKG_PATH" "$UPDATE_PATH"; do
gzip -dc "$package/Contents/Archive.pax.gz" | pax -r '*quartz-wm*' '*X11.app*' '*open-x11*' '*Xquartz*'
done
popd
if ! test -f "%d/usr/bin/open-x11"; then
cat <
Please check that your media is correct, and try again.
END
exit 1
fi
install -d -m 755 %i/Applications
mv %d/Applications/Utilities/X11.app %i/Applications/
install -d -m 755 %i/bin
mv %d/usr/bin/open-x11 %i/bin/
mv %d/usr/X11R6/bin/quartz-wm %i/bin/
# install -d -m 755 %i/share/doc/quartz-wm
# mv %d/usr/X11R6/lib/X11/doc/html/quartz-wm* %i/share/doc/quartz-wm/
install -d -m 755 %i/share/doc/x11-app
mv %d/usr/X11R6/lib/X11/doc/html/Xquartz* %i/share/doc/x11-app/
install -d -m 755 %i/share/man/man1
mv %d/usr/X11R6/man/man1/quartz-wm* %i/share/man/man1/
mv %d/usr/X11R6/man/man1/Xquartz* %i/share/man/man1/
install -d -m 755 %i/share/installed-packages
touch "%i/share/installed-packages/%N"
<<
SplitOff: <<
Package: quartz-wm
Description: Apple's quartz-wm window manager
Depends: xfree86 (>= 4.4.0-1) | system-xfree86 (>= 4.4-1) | xorg (>= 6.7.99-1)
#Files: bin/quartz-wm share/man/man1/quartz-wm* share/doc/%n
Files: bin/quartz-wm share/man/man1/quartz-wm*
<<
SplitOff2: <<
Package: open-x11
Description: Apple's script for opening an X11 app from a terminal
Depends: xfree86 (>= 4.4.0-1) | system-xfree86 (>= 4.4-1) | xorg (>= 6.7.99-1)
Files: bin/open-x11
<<
SplitOff3: <<
Package: x11-app
Description: Apple's X11.app X server
Depends: xfree86 (>= 4.4.0-1) | system-xfree86 (>= 4.4-1) | xorg (>= 6.7.99-1)
Files: Applications /usr/X11R6/bin/Xquartz /private/etc/X11/xserver/Xquartz* share/man/man1/Xquartz* share/doc/%n
PostInstScript: <<
echo "X11.app was installed in %p/Applications"
<<
<<
License: Restrictive
Homepage: http://www.apple.com/macosx/x11/
Maintainer: Benjamin Reed
Description: Install various tools from Apple's X11
DescDetail: <<
This package will let you install Apple's proprietary X11 tools on top of a
reasonably modern XFree86 or X.org X11 distribution. To install it, you must
have your Mac OS X installation DVD, as well as the 2006 X11 update.
The update is downloadable at:
http://www.apple.com/downloads/macosx/apple/x11update2006113.html
<<